
From: Johannes Stezenbach <js@linuxtv.org>

fix NTSC -> PAL switching (std->id is a bitmap!) (Oliver Endriss)

Signed-off-by: Johannes Stezenbach <js@linuxtv.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/media/dvb/ttpci/av7110_v4l.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/media/dvb/ttpci/av7110_v4l.c~dvb-av7110-fix-ntsc-pal-switching drivers/media/dvb/ttpci/av7110_v4l.c
--- 25/drivers/media/dvb/ttpci/av7110_v4l.c~dvb-av7110-fix-ntsc-pal-switching	2005-05-09 18:00:49.000000000 -0700
+++ 25-akpm/drivers/media/dvb/ttpci/av7110_v4l.c	2005-05-09 18:00:49.000000000 -0700
@@ -726,11 +726,11 @@ static int std_callback(struct saa7146_d
 {
 	struct av7110 *av7110 = (struct av7110*) dev->ext_priv;
 
-	if (std->id == V4L2_STD_PAL) {
+	if (std->id & V4L2_STD_PAL) {
 		av7110->vidmode = VIDEO_MODE_PAL;
 		av7110_set_vidmode(av7110, av7110->vidmode);
 	}
-	else if (std->id == V4L2_STD_NTSC) {
+	else if (std->id & V4L2_STD_NTSC) {
 		av7110->vidmode = VIDEO_MODE_NTSC;
 		av7110_set_vidmode(av7110, av7110->vidmode);
 	}
_
